Welcome to PhantomPilots.com

Sign up for a weekly email of the latest drone news & information

What ver. Naza software

Discussion in 'Phantom 1 Help' started by nintago, Jul 13, 2016.

  1. nintago

    Joined:
    Jul 13, 2016
    Messages:
    18
    Likes Received:
    0
    I bought a used phantom 1 p330d ver.1.1.1, and am not sure what version of assistant software I need to download, any help is appreciated

    Sent from my SM-N900V using Tapatalk
     
  2. rattydude77

    Joined:
    Mar 27, 2014
    Messages:
    133
    Likes Received:
    12
    Location:
    liverpool ny
    the phantom 330 isn't the 1.1.1 the 330 is the first gen with the red naza inside the 1.1.1 is the 2nd gen self tightening props naza mv2 inside a 7th channel on the back of the remote and 2 receiver antennas coming out of the legs . But if you do have the 1.1.1 your going to want the 4.02
     
  3. nintago

    Joined:
    Jul 13, 2016
    Messages:
    18
    Likes Received:
    0
    K, thanx, I believe it's the 1.1.1 as I have two antennas, one on ea leg, but the model # does state p330d on the bottom of it along with ver 1.1.1

    Sent from my SM-N900V using Tapatalk
     
  4. nintago

    Joined:
    Jul 13, 2016
    Messages:
    18
    Likes Received:
    0
    It also looks like it has the self tightening props too

    Sent from my SM-N900V using Tapatalk
     
  5. rattydude77

    Joined:
    Mar 27, 2014
    Messages:
    133
    Likes Received:
    12
    Location:
    liverpool ny
    then you want 4.02
     
  6. magicman

    Joined:
    Jun 21, 2016
    Messages:
    22
    Likes Received:
    0
    What software for the first phantom before 1.1.1
     
  7. PTCX

    Joined:
    Aug 25, 2013
    Messages:
    407
    Likes Received:
    61
    Location:
    Australia
    Same as above 4.02,that's what I'm running on my P1 and it is the earliest very first version Phantom.
     
  8. Skapr1

    Joined:
    Feb 23, 2013
    Messages:
    2
    Likes Received:
    0
    Location:
    U.S.A.
    I have the original Phantom (first version) and still use Assistant V2.02 (prompts me to update to 4.02 but I don't).